展开

关键词

Ubuntu16.04安装卸载VMware-Workstation 14

出现问题:Extracting VMware Installer...done.Gtk-Message: Failed to load module atk-bridge: usrlibx86_64-linux-gnulibatspi.so : libunity-gtk-module.so: 无法打开共享对象文件: 没有那个文件或目录 (vmware-installer.py:2501): Gtk-WARNING **: 无法在模块路径中找到主题引擎 :“murrine”, Gtk-Message: Failed to load module canberra-gtk-module: libcanberra-gtk-module.so: 无法打开共享对象文件 -2.0.conf、gtk-3.0.conf$ cd etcld.so.conf.d$ sudo vim gtk-2.0.conf$ sudo vim gtk-3.0.conf两个文件gtk-2.0.conf 、gtk-3.0.conf中分别加入如下内容usrlibx86_64-linux-gnugtk-2.0modulesusrlibx86_64-linux-gnugtk-3.0modules重新加载一下:

59220

Linux-CentOS7 安装VMware Workstation

Linux-CentOS7 安装VMware Workstation? 太极之道关注0人评论1605人阅读2018-10-17 14:36:22 Linux-CentOS7 安装VMware Workstation 121、下载VMware      衔接地址 http:www.vmware.comproductsworkstationworkstation-evaluation  ,下载Linux版本的VMware。 : Failed to load module pk-gtk-module: libpk-gtk-module.so: 无法打开共享对象文件:没有那个文件或目录 Gtk-Message: Failed to load module canberra-gtk-module: libcanberra-gtk-module.so: 无法打开共享对象文件:没有那个文件或目录 ?

3.5K30
  • 广告
    关闭

    11.11智惠云集

    2核4G云服务器首年70元,还有多款热门云产品满足您的上云需求

  • 您找到你想要的搜索结果了吗?
    是的
    没有找到

    在Ubuntu上搭建kindle gtk开发环境

    Kindle底层的Linux比Android保持了更多的linux兼容性,可以使用GTK或者QT编写程序。 GTK及最基本的Linux应用更适合开发一些补丁性的小程序,来补充Kindle的基本功能。 在Ubuntu上搭建kindle的gtk开发环境非常简单,只需要一条命令:sudo apt-get install pkg-config gcc-arm-linux-gnueabi libgtk2.0- gtk虽然看上去很陈旧、落伍,但是跨平台用起来,其实比很多主流应用还要顺畅。 GCC=gccARMGCC=arm-linux-gnueabi-gccARMLIBS=`pkg-config gtk+-2.0 --cflags` -Lusrarm-linux-gnueabilib -

    43460

    CentOS 7系统中安装Eclipse

    https:blog.csdn.netgongxifacai_believearticledetails53106179 操作系统版本:CentOS Linux release 7.2.1511 (Core )Eclipse版本:eclipse-jee-neon-1a-linux-gtk-x86_64.tar.gz安装方式:压缩文件解压缩安装下载地址:http:www.eclipse.orgdownloadspackageseclipse-ide-java-ee-developersneon1a 安装步骤:(1)在Windows系统中从上述地址下载最新版Eclipse安装包,该包为64位Linux压缩包。 (3)在opt目录下将该包解压缩:# cd opt # ls eclipse-jee-neon-1a-linux-gtk-x86_64.tar.gz rh # tar -zxvf eclipse-jee-neon -1a-linux-gtk-x86_64.tar.gz # ls eclipse eclipse-jee-neon-1a-linux-gtk-x86_64.tar.gz rh (4)在usrbin目录为该

    1.8K30

    kde安装gtk主题(kde-gtk-theme)KDE4下gtk程序美化 By HKL,

    默认安装的kde桌面使用gtk程序很难看,原因是没装主题 (KDE 4 Theme Integration with GTK Applications)以下为在Archlinux中KDE美化gtk程序的方法 其它Linux发行版方法雷同。 To better integrate GTK and KDE 4 themes, you can use QtCurve and(or) oxygen-gtk首先安装 QtCurve 或 oxygen-gtk #pacman -S qtcurve-gtk2 qtcurve-kde4 gtk-kde4然后安装 gtk-chtheme#pacman -S gtk-chtheme打开 gtk-chtheme 更换主题即可 gtk-chtheme

    40630

    Linux系统运行WinForm程序

    Linux系统下,虽然也有桌面窗体应用程序,但应用很少。能否将WinForm程序移植到Linux系统上面呢? 3,在OpenSUSE上运行Gtk#应用程序按照mono官方的说法,要想开发跨平台的窗体应用程序,窗体的界面开发应该选择Gtk#,而不是Windows GUI。 本想将这个Gtk程序移植到Redhat上面去,无耐说没有Gtk#的运行库,单独安装也安装不上。 总结:目前在Linux平台上运行WinForm程序基本上是可行的,推荐使用OpenSUSE发行版,不过对WinForm应用程序的中文支持还有问题。 如果要开发真正跨平台的窗体应用程序,推荐使用Gtk#做开发,它开发出的.NET程序,即可运行在Linux系统,也可以运行在Windows系统。

    1.4K70

    GUI引发的一场脑部大战|wine、wsl、mono、gtk、qt

    大家都来完善Linux系统,就可以慢慢放弃使用Windows系统了golang+gtkgolang+QTC#+monodotnet core+gtk# dotnet core3+gtk#golang +  gtkjava + swtswingc+gtkqt 先说一下我的个人需求吧,就是在Linux上面有一个简单GUI界面,一开始是用golang写的一些小程序,都是命令行模式以及命令行UI。 简单还稳定,肯定要考虑一下GTK了。我使用的系统的deepin基于Ubuntu系统也就是内核为“大便系统”。整个系统的UI都是用gtk写,那么肯定能满足我的需求咯。开始搞。 golang的gtk库都是个人开发,有些东东不是很完善。 C#+mono这个嘛,最爽的可以用vs开发然后在Linux上面运行,但是我用的deepin系统,mono那个IDE在这个破系统上面还不能愉快的玩耍,我就不用咋地。

    80660

    如何在Linux桌面下使用PyGObject创建GUI应用程序

    Linux上创建应用程序可以使用不同的方法,但是有一些有限的方法,所以使用最简单和最功能的编程语言和库,这就是为什么我们要快速查看在Linux下创建应用程序使用桌面上的GTK +库被称为“PyGObject 在Linux中创建GUI应用程序 - 第1部分今天,我们要开始了一系列关于创建GUI(图形用户界面)使用GTK +库和PyGobject语言Linux桌面应用下,该系列将包括以下内容:第1部分 :如何创建 GUI应用程序在Linux桌面使用PyGObject第2部分 : 在Linux上创建更高级的应用PyGobject第3部分 : 创建您自己的“网络浏览器”和“桌面刻录机”应用程序使用PyGobject第 GTK +是根据LGPL许可证发布的。在Linux下创建GUI应用程序使用GTK +和Python创建应用程序有2种方法:仅使用代码编写图形界面。 您已经在Linux下成功创建了第一个程序!

    10430

    pkg-config工具的使用

    链接如下:理解 pkg-config 工具2、pkg-config软件官网:http:www.freedesktop.orgwikiSoftwarepkg-config 二、最近在看glib、dbus、gtk pkg-config能根据软件安装时软件的.pc配置文件路径找到相应的头文件路径和库文件路径,如我的ubuntu12.04下默认安装glib-2.0后在 usrlibi386-linux-gnupkgconfig 路径下有glib-2.0.pc,其内容如下:prefix=usrexec_prefix=${prefix}libdir=${prefix}libi386-linux-gnuincludedir=${prefix apt-get install glib-2.0后glib-2.0的各个文件存放路径如下:可执行文件安装路径:usr .h头文件安装路径为:usrincludeglib-2.0和usrlibi386-linux-gnuglib -2.0include .so库文件安装路径为:usrlibi386-linux-gnu 三、在ubuntu12.04下安装好glib-2.0和gtk+-2.0后,下面来看两个例子。

    69630

    Linux学习_010_在 CentOS6.8 上安装 Eclipse

    一、准备工作安装环境:CentOS 6.8 桌面版(其他发行版本安装过程基本一样)所需软件:(下载时选择 Linux 版 tar.gz 格式)  1、Oracle jdk 各个版本下载地址: https jdk 版本是 1.8(64位):http:download.oracle.comotnjavajdk8u192-b12750e1c8617c5452694857ad95c3ee230jdk-8u192-linux-x64 file=technologyeppdownloadsreleasemars2eclipse-jee-mars-2-linux-gtk-x86_64.tar.gz?   参考链接:https:www.cnblogs.comchenmingjunp9931593.html2、Eclipse Mars2 的安装:(1)将下载好的 eclipse-jee-mars-2-linux-gtk-x86 _64.tar.gz 上传至 Linux 系统的 optsofeware 目录下(2)解压至 optmodule 目录下# tar -zxf eclipse-jee-mars-2-linux-gtk-x86

    44010

    Linux环境下JDKEclipse一键安装脚本

    环境下使用java开发应用程序,会感觉Linux下JDK和Eclipse等相关软件安装都很复杂,所以我特意写了一个脚本,这是一个在Linux下自动安装卸载JDK和Eclipse的脚本,实现一键安装卸载, 测试环境:Linux发行版本:Ubuntu 14.04 JDK版本:jdk-7u60-linux-i586(32位)jdk-7u60-linux-x64(64位) Eclipse版本:eclipse-java-luna-R-linux-gtk (32位)eclipse-java-luna-R-linux-gtk-x86_64(64位) 使用时请确保此文件夹存在以下文件: ├── eclipse-java-luna-R-linux-gtk.tar.gz ├── eclipse-java-luna-R-linux-gtk-x86_64.tar.gz ├── install.sh ├── jdk-7u60-linux-i586.tar.gz ├── jdk C usrlibjvm sudo chown -R jiangxin:jiangxin usrlibjvmjdk1.7.0_60 sudo tar -zxvf eclipse-java-luna-R-linux-gtk-x86

    50860

    Linux桌面程序开发 | Study Python For Gtk3

    背景:​ 使用Linux系统已经有一段时间了,在管理系统是几乎都是使用命令行与内核交流的,使用虽多的就是Shell,其次就是python。 这两天突然心血来潮,想到了Linux PC端桌面程序,在我个人的熟悉语言中呢,python比较适合,不过、开发Linux桌面我只是玩玩的。 对于开发Linux桌面程序掌握Python的推荐使用Python Gtk3。​ 想玩出一个Linux基本桌面程序( 几乎没有业务逻辑 ),看完下面的( 重点是图片 | UI组件 ),大概就有一个底了! usrbinpython# -*- coding: UTF-8 -*-import gi gi.require_version(Gtk, 3.0)from gi.repository import Gtk usrbinpython# -*- coding: UTF-8 -*-import gi gi.require_version(Gtk, 3.0)from gi.repository import Gtk

    1.3K51

    ubuntu 代理配置

    wps-office_10.1.0.5672~a21_amd64.debsudo apt install -fjdk + eclipsecd opt #下载jdkwget *****jdk-8u111-linux-x64 .tar.gztar xzf jdk-8u111-linux-x64.tar.gz #下载eclipsewget *****eclipse-jee-neon-2-linux-gtk-x86_64.tar.gztar xzf eclipse-jee-neon-2-linux-gtk-x86_64.tar.gzmv eclipse eclipse-jee-neon-2-linux-gtk-x86_64 #设置eclipse 所使用的jdkcd eclipse-jee-neon-2-linux-gtk-x86_64sed -i 1i -vmnoptjdk1.8.0_111bin eclipse.ini .eclipseVirtualBoxwget

    12530

    Tsung CentOS 操作系统下搭建tsung性能测试环境_Part 1

    For GTK+ 2, pleaseensure that pkg-config is in the path and that gtk+-2.0.pc isinstalled. For GTK+ 1.2 please check that gtk-config is in the path,and that the version is 1.2.3 or above. Also check that thelibraries returned by pkg-config gtk+-2.0 --libs or gtk-config--libs are in the LD_LIBRARY_PATH #如上,提示错误,解决方法:安装java jdk# lsjdk-6u13-linux-i586.bin jdk-6u13-linux-i586.zip otp_src_17.1 otp_src_17.1 # cd usrlocaljava# lsjdk-6u13-linux-i586.bin # chmod 777 jdk-6u13-linux-i586.bin # .jdk-6u13-linux-i586

    43510

    Ubuntu 14.0414.10 用户如何安装 Mate 1.10.0

    Mate 是最流行的 Linux 桌面之一,已成为一些重要的 Linux 发行版本默认桌面环境,比如 Linux Mint、 Ubuntu Mata、Arch Linux 和 Fedora 等Linux 该桌面环境开发人员在近期发布了 Mate 1.10.0 的开发版本,包括更好的支持 GTK+3。 Add gobject introspection Many RANDR fixes interface: add automatic-mnemonics key for Gtk xsetting use GDK_WINDOW_XID for inter-GTK compatibility Updated mpaste for website change Added org.mate.debug GSettings Mint 17.1 和 Linux Mint 17 用户安装命令: sudo apt-add-repository ppa:ubuntu-mate-devppa sudo apt-add-repository

    5300

    dotnet 在 UOS 国产系统上使用 Xamarin Forms 创建 xaml 界面的 GTK 应用

    在前面几篇博客告诉大家如何部署 GTK 应用,此时的应用是特别弱的,大概只是到拖控件级。 所说,创建一个空白的 GTK# 应用??? 文件夹过去,原因是在 obj 文件夹存放了很多依赖本机电脑的文件夹绝对路径的文件,如 nuget 还原里面的 project.assests.json 文件将会包含 fallback 路径,如果拷贝到 Linux Unable to find fallback package folder C:Program Files (x86)XamarinNuGet如果忘了这一点复制了 obj 文件夹,可以在 UOS 这个 Linux 系统下删除 obj 文件夹,解决 Xamarin Forms 在 Linux 系统构建失败的问题先忽略从Windows等系统创建好了 Xamarin Forms 的方法,咱就在 UOS 上一步步创建删除

    21810

    基于linux的嵌入IPv4协议栈的内容过滤防火墙系统(3)-内容过滤防火墙系统简介

    Linus Torvalds 把 Linux 的源程序在 Internet 上公开,世界各地的编程爱好者自发组织起来对 Linux 进行改进和编写各种应用程序,今天Linux已发展成一个功能强大的操作系统 但是这并不意味着Linux和它的一些周边软件发行版本也是免费的。 Linux有着广泛的用途,包括网络,软件开发,用户平台等等,Linux被认为是一种高性能,低开支的可以替换其他昂贵操作系统的系统. 1 GTK+ GTK+是一个成熟,高效的构件集合.它在保持了扩展性和效率的前提下提供了现代的视觉和感觉效果.GTK+为应用程序开发者提供了一个强大的系统对象,它具有动态查询的能力,还可以在运行时修改对象和构件 3 语言捆绑 因为GTK+开发的开放性,许多人发布了捆绑GTK+的语言.除了C还有许多语言可以用来创建GTK+应用程序:C++,Perl,Python,Pascal,Objective C,Guile, 5 拖放 GTK+拖放功能支持Xdnd和Motif拖放协议,它们允许其它支持这两个协议的其它构件使用拖放功能.使用其它支持拖放协议的构件(例如Motif, Qt)写的程序可以和GTK+应用程序共享拖放功能

    23010

    Xamarin 使用 GTK 提示找不到 libglib-2.0-0.dll 找不到

    在使用 Xamarin 开发 Linux 应用的时候,刚开始如果没有弄好 libglib-2.0-0.dll 的依赖库,那么将会在运行的时候,在 Gtk.Application.Init() 这句代码提示找不到这个库解决方法是先到官网 下载 GTK# 安装包或 mono x86 的应用安装到默认路径,也就是在 C:Program Files (x86)GtkSharp2.12bin 路径,默认安装的时候会加入到环境变量接下来到 C: libglib-2.0-0.dll 文件到 xamarin 的输出文件夹,如 D:lindexitXamarinClabinx86Debugnet47 文件夹里面,此时尝试运行,应该就不会存在这个提示注意现在 GTK sourcesgtk-sharp212Xamarin.FormsXamarin.Forms.Platform.GTK at master · xamarinXamarin.Formsjsuarezruizxamarin-forms-gtk-weather-sample : Xamarin.Forms GTK Backend Weather Samplewindows - Xamarin Studio, GTK 2.0 C# application, runtime error

    35810

    Linux 开启护眼模式,降低蓝光伤害

    Redshift前言现在几乎每部手机都有护眼模式了,减少蓝光,保护眼睛,人人有则,233333~现在 Windows 系统也自带了这样的功能,当然还有个大名鼎鼎的软件——f.lux,Windows 下很好用,不过 Linux the color temperature of your screen redshift - Adjusts the color temperature of your screen redshift-gtk - Adjusts the color temperature of your screen with GTK+ integration sct - Set screen color temperature 要图形界面,安装 redshift-gtk 即可:1 root@kali:~# apt-get install redshift-gtk如果没有其它依赖的话,应该会安装 redshift-gtk 和 redshift 可能是由于未安装 redshift 这个包导致的,安装一下即可:1 root@kali:~# apt-get install redshift如果你想安装最新版插件按照方法可以参考这篇文章,另亲测 Kali Linux

    1.2K30

    Automate the Boring

    needed.On Mac, this module makes use of the pbcopy and pbpaste commands, which should come with the os.On Linux Otherwise run sudo apt-get install xclip or sudo apt-get install xsel  Otherwise on Linux, you will need  the gtk or PyQt4 modules installed.  for debugging    paste = _pasteOSX    copy = _copyOSXelif os.name == posix or platform.system() == Linux copy = _copyQt    elif xselExists:        # TODO: xsel doesnt seem to work on Raspberry Pi (my test Linux

    23410

    扫码关注云+社区

    领取腾讯云代金券